Package Details: ruby-charlock_holmes 0.7.3-1

Git Clone URL: https://aur.archlinux.org/ruby-charlock_holmes.git (read-only)
Package Base: ruby-charlock_holmes
Description: Character encoding detection, brought to you by ICU
Upstream URL: https://github.com/brianmario/charlock_holmes
Licenses: MIT
Submitter: greyltc
Maintainer: greyltc
Last Packager: greyltc
Votes: 3
Popularity: 0.014743
First Submitted: 2017-02-26 23:13
Last Updated: 2017-02-26 23:13

Latest Comments

c-mauderer commented on 2018-08-16 14:50

It would be great if the diff from tlvince could be applied so that this package is buildable again.

waldauf commented on 2018-05-21 07:06

I tried to install and it failed with:

~
transliterator.cpp:111:10: error: type ‘<type error>’ argument given to ‘delete’, expected pointer
   delete u_txt;
      ^~~~~
transliterator.cpp:112:10: error: type ‘<type error>’ argument given to ‘delete’, expected pointer
   delete trans;
      ^~~~~
make: *** [Makefile:234: transliterator.o] Error 1

make failed, exit code 2

Gem files will remain installed in /tmp/yaourt-tmp-waldauf/aur-ruby-charlock_holmes/pkg/ruby-charlock_holmes/usr/lib/ruby/gems/2.5.0/gems/charlock_holmes-0.7.3 for inspection.
Results logged to /tmp/yaourt-tmp-waldauf/aur-ruby-charlock_holmes/pkg/ruby-charlock_holmes/usr/lib/ruby/gems/2.5.0/extensions/x86_64-linux/2.5.0/charlock_holmes-0.7.3/gem_make.out
==> ERROR: A failure occurred in package().
    Aborting...
==> ERROR: Makepkg was unable to build ruby-charlock_holmes.

tlvince commented on 2018-04-24 11:31

Diff for 0.7.6

a123qwertz567 commented on 2017-10-16 18:24

While I was installing this package as a dependency on my RaspberryPi 2 with Arch ARM I got this error:

==> ERROR: ruby-charlock_holmes is not available for the 'armv6h' architecture.

==> ERROR: An unknown error has occurred. Exiting...
==> ERROR: Makepkg was unable to build ruby-charlock_holmes.

I was able to install this gem by hand:

`gem install charlock_holmes`

Is there a way to update/fix this in the PKGBUILD?